Skip to main content
`Ctrl`+`K`

# STFilterGetInterval

Gets the interval containing the desired eigenvalues.

## Synopsis

    #include "slepcst.h"
    PetscErrorCode STFilterGetInterval(ST st,PetscReal *inta,PetscReal *intb)

Not Collective

## Input Parameter

- st - the spectral transformation context

## Output Parameters

- inta - left end of the interval

- intb - right end of the interval

## See Also

ST: Spectral Transformation, `STFILTER`, `STFilterSetInterval()`

## Level

intermediate

## Location

src/sys/classes/st/impls/filter/filter.c

## Implementations

STFilterGetInterval_Filter() in src/sys/classes/st/impls/filter/filter.c

Index of all ST routines Table of Contents for all manual pages Index of all manual pages